int.cpp File Reference
`#include "test/branch.hh"`

Go to the source code of this file.

## Classes

class | Test::Branch::Int
| Test brancher with distinct propagator More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Branch
| Tests for branchings.

## Variables

Gecode::IntSet | Test::Branch::d_dense (-2, 2)
const int | Test::Branch::v_sparse [5] = {-100,-10,0,10,100}
Gecode::IntSet | Test::Branch::d_sparse (v_sparse, 5)
Gecode::IntSet | Test::Branch::d_large (-2, 10)
Int | Test::Branch::d_3 ("Dense::3", d_dense, 3)
Int | Test::Branch::d_5 ("Dense::5", d_dense, 5)
Int | Test::Branch::s_3 ("Sparse::3", d_sparse, 3)
Int | Test::Branch::s_5 ("Sparse::5", d_sparse, 5)
Int | Test::Branch::l_2 ("Large::2", d_large, 2)
Int | Test::Branch::l_3 ("Large::3", d_large, 3)